from parallels.core.utils.entity import Entity


class DomainAlias(Entity):
    def __init__(self, domain_alias_id, domain_id, dns_zone_id, name, status, mail, web, dns, tomcat, seo_redirect):
        self._domain_alias_id = domain_alias_id
        self._domain_id = domain_id
        self._dns_zone_id = dns_zone_id
        self._name = name
        self._status = status
        self._mail = mail
        self._web = web
        self._dns = dns
        self._tomcat = tomcat
        self._seo_redirect = seo_redirect

    @property
    def domain_alias_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_alias_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def dns_zone_id(self):
        """
        :rtype: str | unicode
        """
        return self._dns_zone_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def status(self):
        """
        :rtype: str | unicode
        """
        return self._status

    @property
    def mail(self):
        """
        :rtype: str | unicode
        """
        return self._mail

    @property
    def web(self):
        """
        :rtype: str | unicode
        """
        return self._web

    @property
    def dns(self):
        """
        :rtype: str | unicode
        """
        return self._dns

    @property
    def tomcat(self):
        """
        :rtype: str | unicode
        """
        return self._tomcat

    @property
    def seo_redirect(self):
        """
        :rtype: str | unicode
        """
        return self._seo_redirect
